/*!
 * @file connection_monitor.h
    \brief interface for all classes that have to be synchronized
 */

#ifndef _SYNCHRONIZEABLE_H
#define _SYNCHRONIZEABLE_H

#include <base_object.h>
#include "netdefs.h"

class Synchronizeable : virtual public BaseObject
{
        public:

                   Synchronizeable();
                   ~Synchronizeable();

 virtual void      writeByteStream(byte* data);
 virtual byte*     readByteStream();
 virtual void      writeDebug();
 virtual void      readDebug();


        private:

 int               uniqueID;

};

#endif /* _SYNCHRONIZEABLE_H */
